Subject: bug#72521: [PATCH]: lisp/help-macro.el: remove hard-coded variable-pitch-mode

From: "Paul W. Rankin" <[email-masked]>
Date: Thu, 8 Aug 2024 19:37:22 +1000

> On 8 Aug 2024, at 18:58, Eli Zaretskii <[email-masked]> wrote:
> 
> Thanks, but we cannot possible install this patch, since this behavior
> was introduced in Emacs 29.  I agree with making this feature
> optional, of course (and it will then be ON by default), but your
> patch doesn't do that.

Hi Eli,

Thanks. I’ve replaced the call to variable-pitch-mode with a hook, 
help-screen-hook, which defaults to calling variable-pitch-mode.

Ideally I think this should just be help-mode-hook though, which of 
course should not default to calling variable-pitch-mode.

Anyway, how’s the patch look to you?